<script lang="ts">
	import Button from '../../../components/Button.svelte';
	import Input from '../../../components/Input.svelte';
	import { authHandlers } from '../../../store/store';

	let email: string = '';
	let pass: string = '';

	let error = false;

	async function login() {
		error = false;
		await authHandlers
			.login(email, pass)
			.then((_) => {
				window.location.href = '/admin/dashboard';
			})
			.catch((err) => {
				error = true;
			});
	}
</script>

<div class="w-full flex items-center justify-center">
	<form class="flex flex-col gap-4 w-2/3" on:submit={login}>
		<div class="flex flex-col gap-4">
			<Input label="Email" bind:value={email} />
			<Input label="Mot de passe" type="password" bind:value={pass} />
		</div>
		<Button on:click={login}>Se connecter</Button>
		{#if error}
			<span class="text-red-500">Email ou mot de passe incorrect</span>
		{/if}
	</form>
</div>
